Loading...
Searching...
No Matches
AnimatedColorOption Struct Reference

Option about a potentially animated color. More...

## Public Member Functions

void | Set (Color inactive, Color active, animation::Duration duration=std::chrono::milliseconds(250), animation::easing::Function function=animation::easing::QuadraticInOut)
| A color option that can be animated. @params _inactive The color when the component is inactive. @params _active The color when the component is active. @params _duration The duration of the animation. @params _function The easing function of the animation.

## Data Fields

bool | enabled = false
Color | inactive
Color | active
animation::Duration | duration = std::chrono::milliseconds(250)
animation::easing::Function | function = animation::easing::QuadraticInOut

## Detailed Description

Option about a potentially animated color.

Definition at line 56 of file component_options.hpp.

## Member Function Documentation

## Set()

void Set | ( | Color | inactive,
|  | Color | active,
|  | animation::Duration | duration = std::chrono::milliseconds(250),
|  | animation::easing::Function | function = animation::easing::QuadraticInOut )

A color option that can be animated. @params _inactive The color when the component is inactive. @params _active The color when the component is active. @params _duration The duration of the animation. @params _function The easing function of the animation.

Definition at line 21 of file component_options.cpp.

## Field Documentation

## enabled

bool enabled = false

Examples
  examples/component/menu_entries_animated.cpp.

Definition at line 63 of file component_options.hpp.

## inactive

Color inactive

Examples
  examples/component/menu_entries_animated.cpp.

Definition at line 64 of file component_options.hpp.

## active

Color active

Examples
  examples/component/menu_entries_animated.cpp.

Definition at line 65 of file component_options.hpp.

## duration

animation::Duration duration = std::chrono::milliseconds(250)

Definition at line 66 of file component_options.hpp.

## function

animation::easing::Function function = animation::easing::QuadraticInOut

Definition at line 67 of file component_options.hpp.

The documentation for this struct was generated from the following files:

- include/ftxui/component/component_options.hpp
- src/ftxui/component/component_options.cpp